'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _auth = require('./auth.controller');

var _auth2 = _interopRequireDefault(_auth);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = _express2.default.Router();
_auth2.default.initialize();

router.post('/register', _auth2.default.register());
router.post('/login', _auth2.default.login());
router.post('/login-facebook-with-access-token', _auth2.default.facebookLoginWithAccessToken());

exports.default = router;
module.exports = exports['default'];
//# sourceMappingURL=auth.routes.js.map
