'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _mongoose = require('mongoose');

var _mongoose2 = _interopRequireDefault(_mongoose);

var _sensor = require('../sensors/sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DashboardViewSchema = new _mongoose2.default.Schema({
    active: {
        type: Boolean,
        default: false,
        required: true
    },
    devices: [{
        type: _mongoose2.default.Schema.Types.ObjectId,
        ref: _sensor2.default
    }]
});

exports.default = _mongoose2.default.model('DashboardView', DashboardViewSchema);
module.exports = exports['default'];
//# sourceMappingURL=dashboard-view.model.js.map
