'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _scenarioController = require('./scenario.controller.js');

var _scenarioController2 = _interopRequireDefault(_scenarioController);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = _express2.default.Router(); // eslint-disable-line new-cap

router.route('/')
/** GET /api/scenarios - Get list of scenarios */
.get(_scenarioController2.default.query).post(_scenarioController2.default.create);

router.route('/:id')
/** GET /api/scenarios/:scenarioId - Get scenario */
.get(_scenarioController2.default.get).delete(_scenarioController2.default.remove).put(_scenarioController2.default.update);

router.param('id', _scenarioController2.default.load);

exports.default = router;
module.exports = exports['default'];
//# sourceMappingURL=scenario.routes.js.map
