'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _view = require('./view.service');

var _view2 = _interopRequireDefault(_view);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    query: query,
    create: create,
    get: get,
    update: update
};


function get(req, _ref, next) {
    var send = _ref.send;
    var id = req.params.id;

    _view2.default.getById(id).then(send).catch(next);
}

function query(req, res, next) {
    _view2.default.getAll().then(function (result) {
        return res.json(result);
    }).catch(next);
}

function create(req, res, next) {
    _view2.default.create(req.body).then(function (view) {
        return res.json(view);
    }).catch(next);
}

function update(req, res, next) {
    _view2.default.update(req.body).then(function (view) {
        return res.json(view);
    }).catch(next);
}
module.exports = exports['default'];
//# sourceMappingURL=view.controller.js.map
