'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _user = require('../../shared/user/user.model');

var _user2 = _interopRequireDefault(_user);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = { populateUsers: populateUsers };

/* istanbul ignore next */

var users = [];

users.push({
    name: 'Your Admin',
    email: 'admin@smarthouse.com',
    role: 'admin',
    password: 'admin'
});

users.push({
    name: 'James Bond',
    email: 'agent007@mi6.uk',
    role: 'user',
    password: 'password'
});

users.push({
    name: 'John Doe',
    email: 'johndoe@smarthouse.com',
    role: 'user:write',
    password: 'password'
});

users.push({
    name: 'Jane Doe',
    email: 'janedoe@smarthouse.com',
    role: 'user:read',
    password: 'password'
});

function populateUsers() {
    return _user2.default.remove({}).then(function () {
        return _user2.default.create.apply(_user2.default, users);
    });
}
module.exports = exports['default'];
//# sourceMappingURL=users.js.map
