'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _composeMiddleware = require('compose-middleware');

var _fileUpload = require('../files/file-upload.middleware');

var _fileUpload2 = _interopRequireDefault(_fileUpload);

var _mapView = require('./map-view.service');

var _mapView2 = _interopRequireDefault(_mapView);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    uploadPicture: (0, _composeMiddleware.compose)(_fileUpload2.default, onFileUploaded)
};


function onFileUploaded(req, _ref, next) {
    var send = _ref.send;
    var id = req.params.id;
    var filename = req.file.filename;


    _mapView2.default.updatePicture(id, filename).then(send).catch(next);
}
module.exports = exports['default'];
//# sourceMappingURL=map-view.controller.js.map
