'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (io) {

    io.on('connection', onConnection);

    function onConnection(socket) {
        _input.stream.filter(function (event) {
            return event.event === 'scenario-status-change';
        }).subscribe(function (event) {
            socket.emit('scenario-status-change', event);
        });
    }
};

var _input = require('../../data-streams/input');

module.exports = exports['default'];
//# sourceMappingURL=scenario-events.js.map
