'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _viewController = require('./view.controller.js');

var _viewController2 = _interopRequireDefault(_viewController);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = _express2.default.Router(); // eslint-disable-line new-cap

router.route('/')

/** GET /api/view - Get list of all views */
.get(_viewController2.default.query)

/** POST /api/view - Add new view */
.post(_viewController2.default.create);

router.route('/:id')

/** GET /api/view/:id - Get view */
.get(_viewController2.default.get)

/** POST /api/view/:id - Update view */
.post(_viewController2.default.update);

exports.default = router;
module.exports = exports['default'];
//# sourceMappingURL=view.routes.js.map
